drill-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Volodymyr Vysotskyi (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (DRILL-5725) Update Jackson version to 2.7.8
Date Thu, 17 Aug 2017 13:54:00 GMT

     [ https://issues.apache.org/jira/browse/DRILL-5725?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Volodymyr Vysotskyi updated DRILL-5725:
---------------------------------------
    Description: 
Currently, Drill uses Jackson 2.7.1. The goal of this Jira is to update Jackson version to
2.7.8.

All Jackson versions 2.7.x before 2.7.8 have [CVE-2016-7051 vulnerability|https://nvd.nist.gov/vuln/detail/CVE-2016-7051].

The problem was with the {{jackson-dataformat-xml}} module ([issue-211|https://github.com/FasterXML/jackson-dataformat-xml/issues/211]).

Drill does not use this module yet, but we want to update the version for the case when we
will start to use this module.

  was:Currently, Drill uses Jackson 2.7.1. The goal of this Jira is to update Jackson version
to 2.7.8


> Update Jackson version to 2.7.8
> -------------------------------
>
>                 Key: DRILL-5725
>                 URL: https://issues.apache.org/jira/browse/DRILL-5725
>             Project: Apache Drill
>          Issue Type: Bug
>    Affects Versions: 1.11.0
>            Reporter: Volodymyr Vysotskyi
>            Assignee: Volodymyr Vysotskyi
>
> Currently, Drill uses Jackson 2.7.1. The goal of this Jira is to update Jackson version
to 2.7.8.
> All Jackson versions 2.7.x before 2.7.8 have [CVE-2016-7051 vulnerability|https://nvd.nist.gov/vuln/detail/CVE-2016-7051].

> The problem was with the {{jackson-dataformat-xml}} module ([issue-211|https://github.com/FasterXML/jackson-dataformat-xml/issues/211]).

> Drill does not use this module yet, but we want to update the version for the case when
we will start to use this module.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message